/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.operator;

import java.util.List;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import io.javaoperatorsdk.operator.Operator;
import io.javaoperatorsdk.operator.api.reconciler.Reconciler;

@Configuration
public class Config {

	public static final int RECONCILER_RETRY_SECONDS = 20;
	public static final int RECONCILER_RETRY_SECONDS_ON_ERROR = 60;

//	@Bean
//	KeycloakUserReconciler customServiceController(KeycloakUserService keycloakUserService) {
//		return new KeycloakUserReconciler(keycloakUserService);
//	}

	@Bean(initMethod = "start", destroyMethod = "stop")
	@SuppressWarnings("rawtypes")
	Operator operator(List<Reconciler> controllers) {
		Operator operator = new Operator();
		controllers.forEach(operator::register);
		return operator;
	}

//	@Bean
//	KubernetesClient kubernetesClient() {
//		io.fabric8.kubernetes.client.Config config = new ConfigBuilder().withMasterUrl("https://mymaster.com").build();
//		return new KubernetesClientBuilder().withConfig(config).build();
//	}

//	@Bean
//	KubernetesClient kubernetesClient() {
//		return new KubernetesClientBuilder().build();
//	}
}