package de.ozgcloud.operator.keycloak.user;

import java.util.logging.Level;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import io.fabric8.kubernetes.api.model.Secret;
import io.fabric8.kubernetes.client.KubernetesClient;
import io.fabric8.kubernetes.client.dsl.Resource;
import lombok.extern.java.Log;

@Log
@Component
class KubernetesRemoteService {

	@Autowired
	private KubernetesClient kubernetesClient;

	public Resource<Secret> getSecret(String namespace, String name) {
		log.log(Level.INFO, "Get " + name + " secret from " + namespace + " namespace.");
		return kubernetesClient.secrets().inNamespace(namespace).withName(name);
	}
}
