/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.operator.keycloak.user;

class OzgKeycloakUserTestFactory {

	public static final OzgKeycloakUserStatus KEYCLOAK_USER_STATUS = OzgKeycloakUserStatusTestFactory.create();

	public static final OzgKeycloakUserSpec KEYCLOAK_USER_SPEC = OzgKeycloakUserSpecTestFactory.create();

	public static final String METADATA_NAMESPACE = "TestNamespace";

	public static OzgKeycloakUser create() {
		OzgKeycloakUser keycloakUser = new OzgKeycloakUser();
		keycloakUser.setStatus(KEYCLOAK_USER_STATUS);
		keycloakUser.setSpec(KEYCLOAK_USER_SPEC);

		keycloakUser.getMetadata().setNamespace(METADATA_NAMESPACE);

		return keycloakUser;
	}

}
